Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.signature
Class ObjectContainer

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.signature.ObjectContainer

    public class ObjectContainer

extends SignatureElementProxy

Handles `<ds:Object>` elements `Object``Element` supply facility which can contain any kind data``

Author:
  Christian Geuer-Pollmann $todo$ if we remove childen, the boolean values are not updated

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`ObjectContainer(org.w3c.dom.Document doc)` Constructs `ObjectContainer`
`ObjectContainer(org.w3c.dom.Element element, java.lang.String baseURI)` Constructs `ObjectContainer` from `Element`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node node)` Adds child Node
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`java.lang.String` | `getEncoding()` Returns the `Encoding` attribute
`java.lang.String` | `getId()` Returns the `Id` attribute
`java.lang.String` | `getMimeType()` Returns the `MimeType` attribute
`void` | `setEncoding(java.lang.String Encoding)` Sets the `Encoding` attribute
`void` | `setId(java.lang.String Id)` Sets the `Id` attribute
`void` | `setMimeType(java.lang.String MimeType)` Sets the `MimeType` attribute

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectContainer

    public ObjectContainer(org.w3c.dom.Document doc)

  Constructs `ObjectContainer`

  Parameters:
    `doc` - the `Document` in which `Object` element is placed

### ObjectContainer

    public ObjectContainer(org.w3c.dom.Element element,
                           java.lang.String baseURI)
                    throws XMLSecurityException

  Constructs `ObjectContainer` from `Element`

  Parameters:
    `element` - is `Object` element
    `baseURI` - the URI of the resource where the XML instance was stored
  Throws:
    `XMLSecurityException`

Method Detail

### setId

    public void setId(java.lang.String Id)

  Sets the `Id` attribute

  Parameters:
    `Id` - `Id` attribute

### getId

    public java.lang.String getId()

  Returns the `Id` attribute

  Returns:
    the `Id` attribute

### setMimeType

    public void setMimeType(java.lang.String MimeType)

  Sets the `MimeType` attribute

  Parameters:
    `MimeType` - the `MimeType` attribute

### getMimeType

    public java.lang.String getMimeType()

  Returns the `MimeType` attribute

  Returns:
    the `MimeType` attribute

### setEncoding

    public void setEncoding(java.lang.String Encoding)

  Sets the `Encoding` attribute

  Parameters:
    `Encoding` - the `Encoding` attribute

### getEncoding

    public java.lang.String getEncoding()

  Returns the `Encoding` attribute

  Returns:
    the `Encoding` attribute

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node node)

  Adds child Node

  Parameters:
    `node` - child Node
  Returns:
    the new node in the tree.

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD